%Procura o ponto mais proximo ja sabendo qual o arquivo ou segmente

NomeDoArquivo = 'c://temp//a2.sig';
NomeDoArquivop = 'c://temp//a2.pos';

PontoMedido = Resp;

%Numero de SVD usados
kSV = 49
kSVb = 90
NPoint = size(PontoMedido,2);

NumeroDeIteracaoNoArq = 14;%1436;

%Abri o arquivo
fid  = fopen(NomeDoArquivo,'rt');
fidp  = fopen(NomeDoArquivop,'rt');

%Shaper para o sinal onde ocorreu a interacao
SizeDelay = 25;
PontoMedidoModificado = zeros(1,NPoint);
PontoMedidoModificado(1:SizeDelay) = PontoMedido(8,1:SizeDelay);
PontoMedidoModificado(SizeDelay+1:NPoint) = PontoMedido(8,SizeDelay+1:NPoint)-PontoMedido(8,1:NPoint-SizeDelay);

SV(1,:) = henkSVD(PontoMedido(1,:),kSV)';
SV(2,:) = henkSVD(PontoMedido(2,:),kSV)';
SV(3,:) = henkSVD(PontoMedido(3,:),kSV)';
SV(4,:) = henkSVD(PontoMedido(7,:),kSV)';

SV(5,:) = henkSVD(PontoMedidoModificado,kSV)';

SV(6,:) = henkSVD(PontoMedido(9,:),kSV)';
SV(7,:) = henkSVD(PontoMedido(13,:),kSV)';
SV(8,:) = henkSVD(PontoMedido(14,:),kSV)';
SV(9,:) = henkSVD(PontoMedido(15,:),kSV)';

%vetores linha
svglobal = [SV(1,:) SV(2,:) SV(3,:) SV(4,:) SV(5,:) SV(6,:) SV(7,:) SV(8,:) SV(9,:)];
svg = sort(svglobal);
svgPontoMedido = svg(size(svg,2):-1:1);

for Iteracao=1:NumeroDeIteracaoNoArq
	count = 18*50;

	[a count] = fscanf(fid,'%f\n', count);
%	[b connt2] = fscanf(fidp, '%f %f %f', 3);
	%organizo o Dado
	for k=0:(count/50)-1
		Dado(k+1,:) = a(1+(k*50):50+(k*50))';
	end

	%Shaper para o sinal onde ocorreu a interacao	
	DadoModificado = zeros(1,NPoint);
	DadoModificado(1:SizeDelay) = Dado(8,1:SizeDelay);
	DadoModificado(SizeDelay+1:NPoint) = Dado(8,SizeDelay+1:NPoint)-Dado(8,1:NPoint-SizeDelay);

	SV(1,:) = henkSVD(Dado(1,:),kSV)';
	SV(2,:) = henkSVD(Dado(2,:),kSV)';
	SV(3,:) = henkSVD(Dado(3,:),kSV)';
	SV(4,:) = henkSVD(Dado(7,:),kSV)';

	SV(5,:) = henkSVD(DadoModificado,kSV)';

	SV(6,:) = henkSVD(Dado(9,:),kSV)';
	SV(7,:) = henkSVD(Dado(13,:),kSV)';
	SV(8,:) = henkSVD(Dado(14,:),kSV)';
	SV(9,:)	= henkSVD(Dado(15,:),kSV)';

	%vetores linha
	svglobal = [SV(1,:) SV(2,:) SV(3,:) SV(4,:) SV(5,:) SV(6,:) SV(7,:) SV(8,:) SV(9,:)];
	svg = sort(svglobal);
	svgDado = svg(size(svg,2):-1:1);


	%Comparar o Dado com a medida
	erroTotal = sqrt(sum((svgPontoMedido-svgDado).^2)/kSVb);

	ListaErro(Iteracao,1) = erroTotal;
	ListaErro(Iteracao,2) = Iteracao;

end

%fecha os arquivos
fclose(fid);
fclose(fidp);

%atribui Respostas
[erroEmOrdem, Loc]   = sort(ListaErro(:,1));





